:root {
	--card: #0b1626;
	--blue: #1e90ff;
	--text_d: black;
	--cyan: #3fd0ff;
	--text_h: #e6f0ff;
}

.hell {
    font-family: system-ui, -apple-system, Segoe UI, Roboto, Ubuntu, Cantarell, sans-serif;
	background: radial-gradient(circle at top left, red, orangered, orange, yellow, lightgreen, green, rgb(0, 105, 105), blue, purple);
	color: var(--text_d);
}

.dunkel {
	font-family: system-ui, -apple-system, Segoe UI, Roboto, Ubuntu, Cantarell, sans-serif;
	background: radial-gradient(circle at center, #0b1b33, #050b14);
	color: var(--text_h);
}

header {
	padding: 0rem 1.5rem 1.5rem;
	text-align: center;
	position: relative;
}

.logo {
	width: 90%;
	position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

header div {
	position: absolute;
    right: 100px;
	top: 50px;
}

section {
	max-width: 100%;
	margin: 0 0 0;
	padding: 0 1.5rem 4rem;
}

.grid {
	margin-top: 0;
	display: grid;
	gap: 1.5rem;
	color: white;
}

.card {
	border-radius: 18px;
	padding: 1.5rem;
	box-shadow: 0 10px 40px rgba(0,0,0,0.4);
	transition: transform 0.2s, box-shadow 0.2s;
    cursor: pointer;
}

.card:hover {
    transform: translateY(-6px);
}

.card h3 {
    margin-bottom: 0.5rem;
	margin-left: 0.5rem;
	margin-top: 0.5rem;
	font-size: 2rem;
	display: flex;
  	align-items: center;
  	gap: 0.4rem;
}

.card p {
    font-size: 1.1rem;
	margin-left: 0.5rem;
}

.jo {
	background: linear-gradient(180deg, #0e1d33, var(--card));
}

.jo:hover {
    box-shadow: 0 20px 60px rgba(63,208,255,0.25);
}

.ha {
	background: linear-gradient(180deg, #ff4d6d, #ff85c0)
}

.ha:hover {
    box-shadow: 0 20px 60px rgba(255, 77, 109, 0.45), 0 0 25px rgba(255, 133, 192, 0.6);
}

.bald {
	background: linear-gradient(180deg, green, lightgreen)
}

.bald:hover {
    box-shadow: 0 20px 60px rgba(2, 78, 21, 0.658);
}

.bild {
	width: 100%;
}

.rot {
	font-size: 2.7vw;
	color: red;
	font-weight: bolder;
	display: flex;
	justify-content: center;
	margin-bottom: 0.5rem;
	margin-top: 0.5rem;
}

footer {
	text-align: center;
	padding-bottom: 2rem;
	font-size: 1.5rem;
	margin-top: auto;
}

html, body {
	margin: 0;
	padding: 0;
} 

body {
	min-height: 100vh;
	display: flex;
	flex-direction: column;
}

.dunkel span {
	color: var(--cyan);
}

.hell span {
	color: black;
}

.switch {
    position: absolute;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
}

.slider.round {
    border-radius: 34px;
}

.slider.round:before {
    border-radius: 50%;
}

.slider:before {
    position: absolute;
    content: "";
    height: 30px;
    width: 30px;
    left: 0px;
    bottom: 4px;
    top: 0;
    bottom: 0;
    margin: auto 0;
    -webkit-transition: 0.4s;
    transition: 0.4s;
    box-shadow: 0px 4px #2020203d;
    background-color: rgb(255, 255, 255);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 80%;
}

input:checked + .slider:before {
    -webkit-transform: translatex(29px);
    -ms-transform: translateX(29px);
    transform: translatex(29px);
    background-color: rgb(59, 59, 59);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 80%;
}

.cardtext {
    display: flex;
    align-items: center;
}

.emoji-img {
    width: 1em;
    height: 1em;
    display: inline-block;
    margin: 0 0.1em;
}

.bug {
	margin-left: 0.4rem;
	border: 2px solid black;
	background-color: grey;
	padding: 0.1em 0.1em;
  	border-radius: 6px;
}

.bug2 {
	font-size: 1.2rem;
}

.dunkel a {
	color: white;
}

.hell a {
	color: black;
}

.search-container {
    text-align: center;
    margin: 20px 0;
}

#searchInput {
    width: 50%;
    padding: 10px;
    font-size: 16px;
    border-radius: 8px;
    border: 1px solid #ccc;
}

@media (min-width: 1000px) {
	section {
		margin: 3rem auto 0;
	}

    .grid {
        grid-template-columns: repeat(3, 1fr);
    }

	.logo {
		width: 40%;
	}

	footer {
		font-size: 1rem;
	}
}

/*Back-Button*/
.back-button {
    position: absolute;
    left: 40px;
	top: 30px;
    margin-top: 1rem;
    padding: 0.7rem 1.6rem;
    font-size: 1.1rem;
    border-radius: 14px;
    border: none;
    cursor: pointer;
    font-weight: bold;
    transition: transform 0.2s, box-shadow 0.2s, background 0.2s;
}

.dunkel .back-button {
    background: linear-gradient(135deg, var(--cyan), var(--blue));
    color: black;
}

.dunkel .back-button:hover {
    transform: translateY(-3px);
    box-shadow: 0 12px 35px rgba(63, 208, 255, 0.4);
}

.hell .back-button {
    background: black;
    color: white;
}

.hell .back-button:hover {
    transform: translateY(-3px);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
}

#overlay{
    position: fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background: rgba(0,0,0,0.6);
    display:none;
    justify-content:center;
    align-items:center;
    z-index:9999;
}

#settingsWindow{
    background:white;
    padding:30px;
    border-radius:15px;
    text-align:center;
    min-width:300px;
    color: black;
}

.zuruck{
    position:absolute;
    margin-top: -12px;
    margin-right: -10px;
    background:none;
    border:none;
    color:#94a3b8;
    font-size:22px;
    cursor:pointer;
    transition:0.2s;
    display: flex;
    justify-self: right;
}

.zuruck:hover{
    color:#ef4444;
    transform:scale(1.2);
}

#back {
    position: fixed;
    width: 35px;
    height: 35px;
    background: rgba(255, 255, 255, 0.541);
    border-radius: 50%;
    pointer-events: none;
    transform: translate(-50%, -50%);
    display: none;
    z-index: 9999;
}

#follower {
    position: fixed;
    font-size: 30px;
    pointer-events: none;
    transform: translate(-50%, -50%);
    display: none;
    z-index: 10000;
}

.whatsapp:hover {
    color: gray;
}